Retrieve a record
GET
/v1/models/{model}/{id}Path parameters
modelstringrequiredAny model in your pushed schema. `task` is the running example.
idstringrequiredResponses
200The row
dataTaskA `task` record as returned by reads.
Show propertiesHide properties
idstringServer-assigned row id.
numbernumber | anyShow propertiesHide properties
Any of:
number
numberany
anytitlestringrequireddescriptionstring | anyShow propertiesHide properties
Any of:
string
stringany
anystatusstringrequireddefault: "todo"
prioritystringrequireddefault: "medium"
projectIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyteamIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anychatIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyparentIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anystartDatestring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyendDatestring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anydueDatestring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycompletedAtstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyordernumberrequireddefault: 0
orderKeystring | anyShow propertiesHide properties
Any of:
string
stringany
anymetadatastring | anyShow propertiesHide properties
Any of:
string
stringany
anyarchivedAtstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyupdatedBystring | anyShow propertiesHide properties
Any of:
string
stringany
anystampintegerRequest
curl -X GET "https://api.abloatai.com/api/v1/models/task/string"const response = await fetch("https://api.abloatai.com/api/v1/models/task/string", {
method: "GET"
});import requests
response = requests.get(
"https://api.abloatai.com/api/v1/models/task/string",
)Response
{
"data": {
"id": "string",
"number": 0,
"title": "string",
"description": "string",
"status": "todo",
"priority": "medium",
"projectId": "string",
"teamId": "string",
"chatId": "string",
"parentId": "string",
"startDate": "2024-01-01T00:00:00Z",
"endDate": "2024-01-01T00:00:00Z",
"dueDate": "2024-01-01T00:00:00Z",
"completedAt": "2024-01-01T00:00:00Z",
"order": 0,
"orderKey": "string",
"metadata": "string",
"archivedAt": "2024-01-01T00:00:00Z",
"updatedBy": "string"
},
"stamp": 0
}